<?php

namespace Drupal\mailgroup_amazonses\Traits;

use Drupal\mailgroup_amazonses\S3ClientFactoryInterface;

/**
 * Common functionality for using the S3 client factory.
 */
trait S3ClientFactoryTrait {

  /**
   * The S3 client factory.
   *
   * @var \Drupal\mailgroup_amazonses\S3ClientFactoryInterface
   */
  protected $clientFactory;

  /**
   * Set the S3 client.
   *
   * @param \Drupal\mailgroup_amazonses\S3ClientFactoryInterface $client_factory
   *   The client factory.
   *
   * @return $this
   */
  protected function setS3ClientFactory(S3ClientFactoryInterface $client_factory) {
    $this->clientFactory = $client_factory;
    return $this;
  }

}
